[Haskell-cafe] Re: getting a DB library working with ghc 6.6 and PostgreSQL 7.4.7

John Goerzen jgoerzen at complete.org
Fri Oct 20 20:58:57 EDT 2006

On Mon, 16 Oct 2006 23:49:19 -0400, Seth Gordon wrote:

> I'm looking for an alternative to HSQL for database connectivity -- the
> lack of prepared statements in HSQL is particularly worrisome.
> I installed HDBC, but when I tried running a simple program that used
> it, I get the error message
> ghc-6.6:
> /usr/local/lib/HDBC-postgresql-
> unknown symbol `PQserverVersion'

As you noted, HDBC's PostgreSQL backend requires PostgreSQL 8.1 or above.
There were major API changes in that version, and I rather would get a
driver our there than learn two APIs.

I posted a new HDBC today that is tested against GHC 6.6.

-- John

More information about the Haskell-Cafe mailing list